export class Backend {
    createArticleNumber(item) {
        return {
            baseArticleNumber: item.ID,
            catalogItem: item,
            itemType: item.Type,
        };
    }
    /**
     * Read dynamic catalogs.
     * Only implemented for XcRBackend
     *
     * @param {string} serverId
     * @param {IGXR.IGXR_Object} igxr
     * @returns {Promise<boolean>}
     * @memberof Backend
     */
    readDynamicCatalogs(_serverId, _igxr) {
        return Promise.resolve(true);
    }
}
